Bug 1392412 - [RFE] - HE storage should have a indicator.
Summary: [RFE] - HE storage should have a indicator.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RFEs
Version: 4.0.4
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ovirt-4.1.0-alpha
: 4.1.0.2
Assignee: Andrej Krejcir
QA Contact: Nikolai Sednev
URL:
Whiteboard: PM-09
Depends On:
Blocks: 1331498
TreeView+ depends on / blocked
 
Reported: 2016-11-07 12:56 UTC by Yaniv Lavi
Modified: 2017-02-01 14:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-01 14:45:08 UTC
oVirt Team: SLA
Embargoed:
rule-engine: ovirt-4.1+
gklein: testing_plan_complete+
ylavi: planning_ack+
dfediuck: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)
Screenshot from 2016-12-21 14-17-10.png (36.51 KB, image/png)
2016-12-21 12:18 UTC, Nikolai Sednev
no flags Details


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 66721 0 master MERGED core: StorageDomain knows if it contains hosted engine disk 2020-08-13 07:45:06 UTC
oVirt gerrit 66722 0 master MERGED webadmin: Add icon to storage domain which contains Hosted Engine 2020-08-13 07:45:06 UTC

Description Yaniv Lavi 2016-11-07 12:56:35 UTC
Description of problem:
In order to make it easy for users to differentiate HE storage from the rest, we should add a indicator for it. One option is to reuse the crown that is shown on the host running the HE VM, but this needs UX discussion.

Comment 1 Nikolai Sednev 2016-12-21 12:18:01 UTC
Created attachment 1234348 [details]
Screenshot from 2016-12-21 14-17-10.png

Comment 2 Nikolai Sednev 2016-12-21 12:21:50 UTC
Works for me on these components on host:
I see crown on hosted storage and it also has an explanation "Contains Hosted Engine VM data".
vdsm-4.18.999-1218.gitd36143e.el7.centos.x86_64
ovirt-host-deploy-1.6.0-0.0.master.20161107121647.gitfd7ddcd.el7.centos.noarch
libvirt-client-2.0.0-10.el7_3.2.x86_64
ovirt-vmconsole-1.0.4-1.el7ev.noarch
rhev-release-4.0.6-8-001.noarch
qemu-kvm-rhev-2.6.0-28.el7_3.2.x86_64
ovirt-hosted-engine-ha-2.1.0-0.0.master.20161130135331.20161130135328.git3541725.el7.centos.noarch
ovirt-engine-appliance-4.1-20161202.1.el7.centos.noarch
sanlock-3.4.0-1.el7.x86_64
ovirt-setup-lib-1.1.0-0.0.master.20161107100014.gitb73abeb.el7.centos.noarch
ovirt-engine-sdk-python-3.6.9.1-1.el7ev.noarch
ovirt-imageio-common-0.5.0-0.201611201242.gitb02532b.el7.centos.noarch
ovirt-vmconsole-host-1.0.4-1.el7ev.noarch
mom-0.5.8-1.el7ev.noarch
ovirt-hosted-engine-setup-2.1.0-0.0.master.20161130101611.gitb3ad261.el7.centos.noarch
ovirt-release41-pre-4.1.0-0.6.beta2.20161221025826.gitc487776.el7.centos.noarch
ovirt-imageio-daemon-0.5.0-0.201611201242.gitb02532b.el7.centos.noarch
Linux version 3.10.0-514.2.2.el7.x86_64 (mockbuild.eng.bos.redhat.com) (gcc version 4.8.5 20150623 (Red Hat 4.8.5-11) (GCC) ) #1 SMP Wed Nov 16 13:15:13 EST 2016
Linux 3.10.0-514.2.2.el7.x86_64 #1 SMP Wed Nov 16 13:15:13 EST 2016 x86_64 x86_64 x86_64 GNU/Linux
Red Hat Enterprise Linux Server release 7.3 (Maipo)

Engine:
ovirt-engine-userportal-debuginfo-4.2.0-0.0.master.20161219225535.git893d571.el7.centos.noarch
ovirt-engine-tools-4.2.0-0.0.master.20161220201840.git36084db.el7.centos.noarch
python-ovirt-engine-sdk4-4.1.0-0.1.a0.20161215git77fce51.el7.centos.x86_64
ovirt-engine-setup-plugin-vmconsole-proxy-helper-4.2.0-0.0.master.20161220201840.git36084db.el7.centos.noarch
ovirt-engine-hosts-ansible-inventory-4.2.0-0.0.master.20161220201840.git36084db.el7.centos.noarch
ovirt-engine-backend-4.2.0-0.0.master.20161220201840.git36084db.el7.centos.noarch
ovirt-engine-dashboard-1.1.0-0.4.20161128git5ed6f96.el7.centos.noarch
ovirt-engine-setup-base-4.2.0-0.0.master.20161220201840.git36084db.el7.centos.noarch
ovirt-engine-extension-aaa-jdbc-1.1.3-0.0.master.20161118164738.gitd0ff686.el7.noarch
ovirt-engine-setup-4.2.0-0.0.master.20161220201840.git36084db.el7.centos.noarch
ovirt-engine-websocket-proxy-4.2.0-0.0.master.20161220201840.git36084db.el7.centos.noarch
ovirt-engine-tools-backup-4.2.0-0.0.master.20161220201840.git36084db.el7.centos.noarch
ovirt-engine-dbscripts-4.2.0-0.0.master.20161220201840.git36084db.el7.centos.noarch
ovirt-engine-sdk-python-3.6.9.2-0.1.20161204.gite99bbd1.el7.centos.noarch
ovirt-engine-dwh-4.1.0-0.0.master.20161129154019.el7.centos.noarch
ovirt-engine-webadmin-portal-debuginfo-4.2.0-0.0.master.20161219225535.git893d571.el7.centos.noarch
ovirt-engine-setup-plugin-ovirt-engine-common-4.2.0-0.0.master.20161220201840.git36084db.el7.centos.noarch
ovirt-engine-setup-plugin-websocket-proxy-4.2.0-0.0.master.20161220201840.git36084db.el7.centos.noarch
ovirt-engine-extensions-api-impl-4.2.0-0.0.master.20161220201840.git36084db.el7.centos.noarch
ovirt-engine-webadmin-portal-4.2.0-0.0.master.20161220201840.git36084db.el7.centos.noarch
ovirt-engine-userportal-4.2.0-0.0.master.20161220201840.git36084db.el7.centos.noarch
ovirt-engine-dwh-setup-4.1.0-0.0.master.20161129154019.el7.centos.noarch
ovirt-engine-setup-plugin-ovirt-engine-4.2.0-0.0.master.20161220201840.git36084db.el7.centos.noarch
ovirt-engine-vmconsole-proxy-helper-4.2.0-0.0.master.20161220201840.git36084db.el7.centos.noarch
ovirt-engine-4.2.0-0.0.master.20161220201840.git36084db.el7.centos.noarch
ovirt-engine-wildfly-10.1.0-1.el7.x86_64
ovirt-engine-wildfly-overlay-10.0.0-1.el7.noarch
ovirt-engine-cli-3.6.9.2-1.el7.centos.noarch
ovirt-engine-lib-4.2.0-0.0.master.20161220201840.git36084db.el7.centos.noarch
ovirt-engine-restapi-4.2.0-0.0.master.20161220201840.git36084db.el7.centos.noarch
Linux version 3.10.0-327.36.3.el7.x86_64 (builder.centos.org) (gcc version 4.8.5 20150623 (Red Hat 4.8.5-4) (GCC) ) #1 SMP Mon Oct 24 16:09:20 UTC 2016
Linux 3.10.0-327.36.3.el7.x86_64 #1 SMP Mon Oct 24 16:09:20 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
CentOS Linux release 7.3.1611 (Core)


Note You need to log in before you can comment on or make changes to this bug.